Bug 90797 - [GTK] Implement disk cache in WebKit2
Summary: [GTK] Implement disk cache in WebKit2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2012-07-09 09:45 PDT by Carlos Garcia Campos
Modified: 2012-07-13 06:47 PDT (History)
5 users (show)

See Also:


Attachments
Patch (5.18 KB, patch)
2012-07-09 09:49 PDT, Carlos Garcia Campos
xan.lopez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2012-07-09 09:45:25 PDT
We currently set the disk cache size to the soup cache feature if it's present in the SoupSession, but it never happens because we are not adding the feature to the session.
Comment 1 Carlos Garcia Campos 2012-07-09 09:49:54 PDT
Created attachment 151262 [details]
Patch
Comment 2 Martin Robinson 2012-07-09 10:07:01 PDT
I think it makes sense for Sergio and Dan to look this one over too.
Comment 3 Dan Winship 2012-07-10 06:32:46 PDT
makes sense to me
Comment 4 Xan Lopez 2012-07-13 04:54:27 PDT
Comment on attachment 151262 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=151262&action=review

> Source/WebKit2/WebProcess/gtk/WebProcessGtk.cpp:92
> +    uint64_t diskFreeSize = getCacheDiskFreeSize(cache) / 1024 / 1024;

Apparently this was a previously existing bug. Just leave it as it is for this patch and fix it later in another patch, otherwise it's unclear why you are doing this.
Comment 5 Carlos Garcia Campos 2012-07-13 06:47:21 PDT
Committed r122571: <http://trac.webkit.org/changeset/122571>